ChangeSet 1.1189, 2003/05/20 16:50:10-07:00, baldrick@wanadoo.fr

[PATCH] USB speedtouch: replace yield()

Use set_current_state (TASK_RUNNING); schedule(); instead.


diff -Nru a/drivers/usb/misc/speedtch.c b/drivers/usb/misc/speedtch.c
--- a/drivers/usb/misc/speedtch.c	Tue May 20 17:24:43 2003
+++ b/drivers/usb/misc/speedtch.c	Tue May 20 17:24:43 2003
@@ -1306,7 +1306,8 @@
 		if (completed == count)
 			break;
 
-		yield ();
+		set_current_state (TASK_RUNNING);
+		schedule ();
 	} while (1);
 
 	dbg ("udsl_usb_disconnect: flushing");
@@ -1345,7 +1346,8 @@
 		if (count == UDSL_NUMBER_SND_URBS)
 			break;
 
-		yield ();
+		set_current_state (TASK_RUNNING);
+		schedule ();
 	} while (1);
 
 	dbg ("udsl_usb_disconnect: flushing");
